### A free/open-source library for quantitative finance

Classes
ql/pricingengines/barrier/analyticbarrierengine.hpp File Reference

Analytic barrier option engines. More...

`#include <ql/instruments/barrieroption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/math/distributions/normaldistribution.hpp>`
Include dependency graph for analyticbarrierengine.hpp:

## Classes

class | AnalyticBarrierEngine
| Pricing engine for barrier options using analytical formulae. More...

## Detailed Description

Analytic barrier option engines.